Bug 782818 - rpmlint does not know the 'cpf' language code
rpmlint does not know the 'cpf' language code
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: rpmlint (Show other bugs)
18
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Tom "spot" Callaway
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-01-18 10:49 EST by Karel Volný
Modified: 2014-02-05 06:53 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-05 06:53:19 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Karel Volný 2012-01-18 10:49:16 EST
Description of problem:
Running rpmlint on new warmux package I get a report about invalid locale dir, while the dir is valid.

Version-Release number of selected component (if applicable):
rpmlint-1.4-1.fc16.noarch

How reproducible:
always

Steps to Reproduce:
1. rpmlint -v warmux-11.04.1-2.fc16.x86_64.rpm
  
Actual results:
...
warmux.x86_64: E: invalid-lc-messages-dir /usr/share/locale/cpf/LC_MESSAGES/warmux.mo
...

Expected results:
no such error

Additional info:
http://www.loc.gov/standards/iso639-2/php/langcodes-keyword.php?SearchTerm=cpf&SearchType=ALL
cpf is a valid code for "Creoles and pidgins, French-based"

in addition, the directory is included in filesystem package:
$ rpm -qf /usr/share/locale/cpf/LC_MESSAGES/
filesystem-2.4.44-1.fc16.x86_64
Comment 1 Ville Skyttä 2012-01-19 03:20:31 EST
Fixed upstream: http://rpmlint.zarb.org/cgi-bin/trac.cgi/changeset/1898
Comment 2 Karel Volný 2012-01-19 11:05:39 EST
thanks!
Comment 3 Fedora End Of Life 2013-01-16 14:16:39 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Karel Volný 2013-01-22 06:41:54 EST
for some reason, the fix still hasn't made it downstream ... time for a new release?
Comment 5 Ville Skyttä 2013-01-22 06:55:44 EST
If you mean a new upstream release: soonish, yes.
Comment 6 Fedora End Of Life 2013-12-21 03:32:10 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 7 Fedora End Of Life 2014-02-05 06:53:21 EST
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.